extends ../_docs-template

block vars
  - var activeLink = 'react';
  - var title = 'Badge React Component | Framework7 React Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-react
  .docs-content
    .motion-docs-page-title
      h1 Badge React Component
      script(src="/js/motion/badge.js")
      f7-motion-badge(motion)

    p Badge React component represents <a href="../docs/badge.html">Badge</a> element that can be used in lists, links, navigation bars, etc.
    h2 Badge Components
    p There are following components included:
    ul
      li `Badge`
    h2 Badge Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;Badge&gt; properties
        tr
          td tooltip
          td string
          td
          td <a href="../docs/tooltip.html">tooltip</a> text to show on hover/press
        tr
          td tooltipTrigger
          td string
          td hover
          td Defines how to trigger (open) Tooltip. Can be `hover`, `click` or `manual`
    h2 Examples
    +examplePreview('react', 'badge.jsx', 'badge')
